<!-- Banner Start -->
<section class="main-banner bg-img" style="background-image:url('<?php echo home_url(); ?>/wp-content/uploads/2024/04/banner.jpg')">
    <div class="common-shape">
        <div class="sec-wp">
            <div class="container">
                <div class="row">
                    <div class="col-lg-12">
                        <div class="banner-content">
                            <h1 class="banner-title">The <span class="yellow-text">Gold</span>Standard</h1>
                            <h2 class="banner-text">in Roofing & Construction Services</h2>
                            <div class="banner-btns">
                                <a href="#" title="Request A Quote" class="sec-btn">Request A Quote</a>
                                <a href="tel:(319) 440-4748" title="Call (319) 440-4748" class="sec-btn outline-btn">Call (319) 440-4748</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Banner End -->

<!-- About Start -->
<section class="main-about-us common-shape">
    <div class="sec-wp">
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <div class="about-img-box-wp">
                        <div class="about-img bg-img" style="background-image:url('<?php echo home_url(); ?>/wp-content/uploads/2024/04/about.png')">
                        </div>
                    </div>
                </div>
                <div class="col-lg-6">
                    <div class="sec-title">
                        <h2 class="h2-title">About Us</h2>
                    </div>
                    <div class="about-text">
                        <p>Your house is the largest purchase you likely ever make in your lifetime, and more importantly, the place your family calls <strong>home</strong>. At Henry’s Roofing, we are fanatical about helping our community restore and improve their properties after a sudden unfortunate event. We are the<strong> gold standard</strong> in roofing and construction services because we treat your property like it’s our own. Henry’s Roofing. Level up. </p>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- About End -->

<!-- Roofing Services Start -->
<section class="main-roofing-services">
    <div class="sec-wp">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="main-sec-title">
                        <h3 class="h2-title"><span>ROOFING</span>SERVICES</h3>
                    </div>
                </div>
            </div>
            <div class="roofing-services-wrapper">
                <div class="roofing-services-wp">
                    <div class="row">
                        <div class="col-lg-6">
                            <div class="roofing-img bg-img" style="background-image:url('<?php echo home_url(); ?>/wp-content/uploads/2024/04/residental-service.jpg')"></div>
                        </div>
                        <div class="col-lg-6">
                            <div class="roofing-content">
                                <div class="sec-title">
                                    <h3 class="sub-title">Residental<span>Roofing</span></h3>
                                </div>
                                <div class="roofing-text white-text">
                                    <p>With years of experience helping homeowners protect one of their most valuable 
                                    assets, Henry’s Roofing can be trusted to provide reliable maintenance, repair, 
                                    and replacement services for all residential roofing needs. When disaster strikes, 
                                    you can rest assured knowing that we are experts in navigating insurance policy 
                                    claims and can guide you through the process from the first inspection of 
                                    damages to complete restoration of your property. Henry’s Roofing is the gold 
                                    standard in roofing and construction services, and we are dedicated to ensuring 
                                    that our customers and their needs always come first.  </p>
                                </div>
                                <div class="description-title">
                                    <h6>Residential Roofing Services Include:</h6>
                                </div>
                                <div class="description-info">
                                    <ul>
                                        <li>Asphalt</li>
                                        <li>Metal</li>
                                        <li>Tile</li>
                                        <li>Flat</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="roofing-services-wp even">
                    <div class="row">
                        <div class="col-lg-6 order-2">
                            <div class="roofing-img bg-img" style="background-image:url('<?php echo home_url(); ?>/wp-content/uploads/2024/04/residental-service.jpg')"></div>
                        </div>
                        <div class="col-lg-6 order-1">
                            <div class="roofing-content">
                                <div class="sec-title">
                                    <h3 class="sub-title">Commercial<span>Roofing</span></h3>
                                </div>
                                <div class="roofing-text white-text">
                                    <p>Is your business suffering from roofing issues? Don’t sweat it. Henry’s Roofing has all the knowledge and experience necessary to not only maintain, repair, or replace your roof, but we are also well-versed in the insurance claim process so you have one less thing to worry about. You take care of your business while we support you in taking care of ours! We are the gold standard in roofing and construction services, so level up with Henry’s Roofing! </p>
                                </div>
                                <div class="description-title">
                                    <h6>Commercial Roofing Services Include:</h6>
                                </div>
                                <div class="description-info">
                                    <ul>
                                        <li>Asphalt</li>
                                        <li>Metal</li>
                                        <li>Tile</li>
                                        <li>Flat</li>
                                    </ul>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Roofing Services End -->

<!-- Other Services Start -->
<section class="main-other-services common-shape">
   <div class="sec-wp">
       <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="main-sec-title">
                        <h3 class="h2-title"><span>Other</span>Services</h3>
                    </div>
                </div>
            </div>
            <div class="other-services-wp">
                <div class="row services-slider">
                    <div class="col-lg-6">
                        <div class="services-box-wp">
                            <div class="services-img bg-img" style="background-image:url('<?php echo home_url(); ?>/wp-content/uploads/2024/04/other-service.jpg')"></div>
                            <div class="services-box-content common-line-box">
                                <div class="sub-title">
                                    <h4 class="card-front-title">Siding</h4>
                                    <span class="card-back-title">Siding</span>
                                </div>
                                <div class="card-text" data-simplebar>
                                    <p>From repair to replacement, trust the experts at Henry’s Roofing. We will treat your home or business as our own, and that means providing protection from the elements and the damage it can cause if not properly addressed.</p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="services-box-wp">
                            <div class="services-img bg-img" style="background-image:url('<?php echo home_url(); ?>/wp-content/uploads/2024/04/other-service.jpg')"></div>
                            <div class="services-box-content common-line-box">
                                <div class="sub-title">
                                    <h4 class="card-front-title">Siding</h4>
                                    <span class="card-back-title">Siding</span>
                                </div>
                                <div class="card-text" data-simplebar>
                                    <p>From repair to replacement, trust the experts at Henry’s Roofing. We will treat your home or business as our own, and that means providing protection from the elements and the damage it can cause if not properly addressed.</p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-6">
                        <div class="services-box-wp">
                            <div class="services-img bg-img" style="background-image:url('<?php echo home_url(); ?>/wp-content/uploads/2024/04/other-service.jpg')"></div>
                            <div class="services-box-content common-line-box">
                                <div class="sub-title">
                                    <h4 class="card-front-title">Siding</h4>
                                    <span class="card-back-title">Siding</span>
                                </div>
                                <div class="card-text"data-simplebar>
                                    <p>From repair to replacement, trust the experts at Henry’s Roofing. We will treat your home or business as our own, and that means providing protection from the elements and the damage it can cause if not properly addressed.</p>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
       </div>

   </div>
</section>
<!-- Other Services End -->

<!-- Our Process Start -->
<section class="main-our-process">
    <div class="sec-wp">
        <div class="container">
            <div class="row">
                <div class="col-lg-8">
                    <div class="main-sec-title">
                        <h3 class="h2-title"><span>UNDERSTANDING </span>THE INSURANCE & REPAIRS <span>TIMELINE</span> </h3>
                        <h6 class="sub-title">Our Process</h6>
                    </div>
                </div>
            </div>
            <div class="our-process-wp">
                <div class="border-wp">
                    <span class="circle-box"></span>
                </div>
                <div class="our-box-wrapper">
                    <div class="our-process-box-column">
                        <div class="our-process-box-wp white-text">
                            <div class="our-process-box">
                                <div class="our-process-img bg-img" style="background-image:url('<?php echo home_url(); ?>/wp-content/uploads/2024/04/process-1.jpg')"></div>
                                <div class="our-process-box-content common-line-box">
                                    <div class="sub-title">
                                        <h4 class="h3-title">CALL US TO VERIFY DAMAGES</h4>
                                    </div>
                                    <div class="card-text" data-simplebar>
                                        <p>Call us before your insurance company so we can verify the damages. Your insurance company will appreciate it, and so will your premium payment!</p>
                                    </div>
                                    <div class="step-title">
                                        <span>Step 1</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="our-box-wrapper even">
                    <div class="our-process-box-column">
                        <div class="our-process-box-wp white-text">
                            <div class="our-process-box">
                                <div class="our-process-img bg-img" style="background-image:url('<?php echo home_url(); ?>/wp-content/uploads/2024/04/process-1.jpg')"></div>
                                <div class="our-process-box-content common-line-box">
                                    <div class="sub-title">
                                        <h4 class="h3-title">INSURANCE INSPECTION</h4>
                                    </div>
                                    <div class="card-text" data-simplebar>
                                        <p>Meet with the insurance adjuster to walk through your property.</p>
                                    </div>
                                    <div class="step-title">
                                        <span>Step 2</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="our-box-wrapper">
                    <div class="our-process-box-column">
                        <div class="our-process-box-wp white-text">
                            <div class="our-process-box ">
                                <div class="our-process-img bg-img" style="background-image:url('<?php echo home_url(); ?>/wp-content/uploads/2024/04/process-1.jpg')"></div>
                                <div class="our-process-box-content common-line-box">
                                    <div class="sub-title">
                                    <h4 class="h3-title">SIGN REPAIRS CONTRACT WITH US</h4>
                                    </div>
                                    <div class="card-text" data-simplebar>
                                        <p>Meet with Henry’s Roofing to review your claim 
                                        once you have received it from the insurance 
                                        company. We will then sign the repairs contract to 
                                        complete the necessary work.</p>
                                    </div>
                                    <div class="step-title">
                                        <span>Step 3</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="our-box-wrapper even">
                    <div class="our-process-box-column">
                        <div class="our-process-box-wp even white-text">
                            <div class="our-process-box">
                                <div class="our-process-img bg-img" style="background-image:url('<?php echo home_url(); ?>/wp-content/uploads/2024/04/process-1.jpg')"></div>
                                <div class="our-process-box-content common-line-box">
                                    <div class="sub-title">
                                        <h4 class="h3-title">SUPPLEMENT REVIEW</h4>
                                    </div>
                                    <div class="card-text" data-simplebar>
                                        <p>We provide a supplement review to ensure that your property is fully taken care of. This includes requesting additional money from the insurance company for code upgrades, manufacturer specifications, all city and county permits, as well as any repair work the insurance adjuster may have missed.</p>
                                    </div>
                                    <div class="step-title">
                                        <span>Step 4</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="our-box-wrapper">
                    <div class="our-process-box-column">
                        <div class="our-process-box-wp white-text">
                            <div class="our-process-box ">
                                <div class="our-process-img bg-img" style="background-image:url('<?php echo home_url(); ?>/wp-content/uploads/2024/04/process-1.jpg')"></div>
                                <div class="our-process-box-content common-line-box">
                                    <div class="sub-title">
                                    <h4 class="h3-title">COMPLETE NECESSARY REPAIRS</h4>
                                    </div>
                                    <div class="card-text" data-simplebar>
                                        <p>Henry’s Roofing completes all necessary repairs and improvements per our agreement in a timely fashion.</p>
                                    </div>
                                    <div class="step-title">
                                        <span>Step 5</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="our-box-wrapper even">
                    <div class="our-process-box-column">
                        <div class="our-process-box-wp even white-text">
                            <div class="our-process-box">
                                <div class="our-process-img bg-img" style="background-image:url('<?php echo home_url(); ?>/wp-content/uploads/2024/04/process-1.jpg')"></div>
                                <div class="our-process-box-content common-line-box">
                                    <div class="sub-title">
                                        <h4 class="h3-title">CALL US TO VERIFY DAMAGES</h4>
                                    </div>
                                    <div class="card-text" data-simplebar>
                                    <p>Henry’s roofing sends a final invoice to the insurance company for the work that has been completed. We will only invoice for the work that has been fully completed. </p>
                                    </div>
                                    <div class="step-title">
                                        <span>Step 6</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="our-box-wrapper">
                    <div class="our-process-box-column">
                        <div class="our-process-box-wp white-text">
                            <div class="our-process-box">
                                <div class="our-process-img bg-img" style="background-image:url('<?php echo home_url(); ?>/wp-content/uploads/2024/04/process-1.jpg')"></div>
                                <div class="our-process-box-content common-line-box">
                                    <div class="sub-title">
                                        <h4 class="h3-title">CALL US TO VERIFY DAMAGES</h4>
                                    </div>
                                    <div class="card-text" data-simplebar>
                                    <p>Henry’s roofing sends a final invoice to the insurance company for the work that has been completed. We will only invoice for the work that has been fully completed. </p>
                                    </div>
                                    <div class="step-title">
                                        <span>Step 7</span>
                                    </div>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Our Process End -->

<!-- Our LevelUp Start -->
<section class="main-our-levelup">
    <div class="sec-wp">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="levelup-content">
                        <div class="bracket-img-box bg-img" style="background-image:url('<?php echo home_url(); ?>/wp-content/themes/henrysroofing/assets/images/shape-blue.png')">
                        </div>
                        <div class="sec-title">
                            <h3 class="h2-title"><span>Our</span> “Level Up” Referral Program</h3>
                            <h4>Receive A <span>$200 VISA GIFT CARD</span> per referral that you send to us!</h4>
                        </div>
                            <h5>How it Works</h5>
                            <div class="levelup-text">
                                <p>Tell a friend about Henry’s Roofing and if they sign a qualified contract with us, we give you <strong> 200 VISA GIFT CARD</strong>. It’s that simple. No limit to the number of referrals.</p>
                            </div>
                            <a href="#" class="sec-btn outline-btn">Send a Referral</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Our LevelUp End -->

<!-- Home Colors Start -->
<section class="main-home-colors">
    <div class="sec-wp">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="sec-title">
                        <h3 class="h2-title"><span>Home</span> Colors Visualizer</h3>
                        <h6 class="sub-title">Visualize Your Roofing & Siding Before You Order</h6>
                    </div> 
                </div>
                <div class="row">
                    <div class="col-lg-12">
                        <div class="home-img-wp">
                            <div class="home-img" style="background-image:url('<?php echo home_url(); ?>/wp-content/uploads/2024/04/home.jpg')"></div>
                        </div>
                        <div class="select-box-wp">
                            <div class="select-colors-box">
                                <div class="form-select-group">
                                    <i class="fas fa-caret-down"></i>
                                    <select name="house" id="house">
                                        <option value="white-cream">House Color (Base: White Cream)</option>
                                        <option value="black">Black</option>
                                        <option value="light blue">Light Blue</option>
                                        <option value="white">White</option>
                                    </select>
                                </div>
                            </div>
                            <div class="select-colors-box">
                                <div class="form-select-group">
                                    <i class="fas fa-caret-down"></i>
                                    <select name="roof" id="roof" class="form-input">
                                        <option value="burnished-slate">Roof Color (Base: Burnished Slate)</option>
                                        <option value="black">Black</option>
                                        <option value="light blue">blue</option>
                                        <option value="white">White</option>
                                    </select>
                                </div>
                            </div>
                            <div class="offer-texts">
                                <span>*Proud to Offer Timberline® HDZ™ Shingles</span>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Home Colors End -->

<!-- Faq Start -->
<section class="main-faqs">
    <div class="sec-wp">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="main-sec-title">
                        <h3 class="h2-title"><span>Insurance</span>FAQs</h3>
                    </div>
                </div>
            </div>
            <div class="faqs-wp">
                <div class="faqs-slider">
                    <div class="faqs-box">
                        <div class="faqs-title">
                            <h6 class="h3-title">I received my check, is this the only check that will be coming from my insurance company?</h6>
                        </div>
                        <div class="faqs-content-box" data-simplebar>
                            <p>Usually not. Depending on policy coverage, you will most likely be receiving additional check(s) for the recoverable deprecation and any supplemental amounts. Our team has earned a reputation for helping home and small business owners maximize their insurance claims to guarantee their property is back to pre-storm condition or better at the end of the claim. Call today for a free consultation and expert breakdown of your claim.</p>
                        </div>
                    </div>
                    <div class="faqs-box">
                        <div class="faqs-title">
                            <h6 class="h3-title">I received my check, is this the only check that will be coming from my insurance company?</h6>
                        </div>
                        <div class="faqs-content-box" data-simplebar>
                            <p>Usually not. Depending on policy coverage, you will most likely be receiving additional check(s) for the recoverable deprecation and any supplemental amounts. Our team has earned a reputation for helping home and small business owners maximize their insurance claims to guarantee their property is back to pre-storm condition or better at the end of the claim. Call today for a free consultation and expert breakdown of your claim.</p>
                        </div>
                    </div>
                    <div class="faqs-box">
                        <div class="faqs-title">
                            <h6 class="h3-title">I received my check, is this the only check that will be coming from my insurance company?</h6>
                        </div>
                        <div class="faqs-content-box" data-simplebar>
                            <p>Usually not. Depending on policy coverage, you will most likely be receiving additional check(s) for the recoverable deprecation and any supplemental amounts. Our team has earned a reputation for helping home and small business owners maximize their insurance claims to guarantee their property is back to pre-storm condition or better at the end of the claim. Call today for a free consultation and expert breakdown of your claim.</p>
                        </div>
                    </div>
                    <div class="faqs-box">
                        <div class="faqs-title">
                            <h6 class="h3-title">I received my check, is this the only check that will be coming from my insurance company?</h6>
                        </div>
                        <div class="faqs-content-box" data-simplebar>
                            <p>Usually not. Depending on policy coverage, you will most likely be receiving additional check(s) for the recoverable deprecation and any supplemental amounts. Our team has earned a reputation for helping home and small business owners maximize their insurance claims to guarantee their property is back to pre-storm condition or better at the end of the claim. Call today for a free consultation and expert breakdown of your claim.</p>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Faq End -->

<!-- our Team Start -->
<section class="main-our-team">
    <div class="sec-wp">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="main-sec-title">
                        <h3 class="h2-title"><span>Our</span>Team</h3>
                    </div>
                </div>
            </div>
            <div class="team-cards-wp">
                <div class="row">
                    <div class="col-lg-4">
                        <div class="team-card-box">
                            <div class="team-member-img" style="background-image:url('<?php echo home_url(); ?> /wp-content/uploads/2024/04/team-member-1.jpg')"></div>
                            <div class="team-content-wp">
                                <div class="team-member-info">
                                    <h4>Tim Henry</h4>
                                    <h5>Owner</h5>
                                    <ul>
                                        <li>
                                            <a href="mailto:tim@henrysroofing.com">
                                                <span>
                                                    <i class="fas fa-envelope"></i>
                                                </span>
                                                tim@henrysroofing.com
                                            </a>  
                                        </li>
                                    </ul>
                                </div>
                                <div class="team-member-text">
                                    <p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. </p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="team-card-box">
                            <div class="team-member-img" style="background-image:url('<?php echo home_url(); ?> /wp-content/uploads/2024/04/team-member-1.jpg')"></div>
                            <div class="team-content-wp">
                                <div class="team-member-info">
                                    <h4>Tim Henry</h4>
                                    <h5>Owner</h5>
                                    <ul>
                                        <li>
                                            <a href="mailto:tim@henrysroofing.com">
                                                <span>
                                                    <i class="fas fa-envelope"></i>
                                                </span>
                                                tim@henrysroofing.com
                                            </a>  
                                        </li>
                                    </ul>
                                </div>
                                <div class="team-member-text">
                                    <p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. </p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="team-card-box">
                            <div class="team-member-img" style="background-image:url('<?php echo home_url(); ?> /wp-content/uploads/2024/04/team-member-1.jpg')"></div>
                            <div class="team-content-wp">
                                <div class="team-member-info">
                                    <h4>Tim Henry</h4>
                                    <h5>Owner</h5>
                                    <ul>
                                        <li>
                                            <a href="mailto:tim@henrysroofing.com">
                                                <span>
                                                    <i class="fas fa-envelope"></i>
                                                </span>
                                                tim@henrysroofing.com
                                            </a>  
                                        </li>
                                    </ul>
                                </div>
                                <div class="team-member-text">
                                    <p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. </p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="team-card-box">
                            <div class="team-member-img" style="background-image:url('<?php echo home_url(); ?> /wp-content/uploads/2024/04/team-member-1.jpg')"></div>
                            <div class="team-content-wp">
                                <div class="team-member-info">
                                    <h4>Tim Henry</h4>
                                    <h5>Owner</h5>
                                    <ul>
                                        <li>
                                            <a href="mailto:tim@henrysroofing.com">
                                                <span>
                                                    <i class="fas fa-envelope"></i>
                                                </span>
                                                tim@henrysroofing.com
                                            </a>  
                                        </li>
                                    </ul>
                                </div>
                                <div class="team-member-text">
                                    <p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. </p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="team-card-box">
                            <div class="team-member-img" style="background-image:url('<?php echo home_url(); ?> /wp-content/uploads/2024/04/team-member-1.jpg')"></div>
                            <div class="team-content-wp">
                                <div class="team-member-info">
                                    <h4>Tim Henry</h4>
                                    <h5>Owner</h5>
                                    <ul>
                                        <li>
                                            <a href="mailto:tim@henrysroofing.com">
                                                <span>
                                                    <i class="fas fa-envelope"></i>
                                                </span>
                                                tim@henrysroofing.com
                                            </a>  
                                        </li>
                                    </ul>
                                </div>
                                <div class="team-member-text">
                                    <p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. </p>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="col-lg-4">
                        <div class="team-card-box">
                            <div class="team-content-wp">
                                <div class="team-member-info">
                                    <h4>Want to Join Our Team?</h4>
                                </div>
                                <a href="#" class="sec-btn" title="Apply Now">Apply Now</a>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- our Team End -->

<!-- Our Work Start -->
<section class="main-our-work">
    <div class="sec-wp">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="main-sec-title">
                        <h3 class="h2-title"><span>Our</span>Work</h3>
                    </div>
                </div>
            </div>
            <div class="work-slider">
                <div class="work-slide-box">
                    <div class="our-work-image bg-img" style="background-image:url('<?php echo home_url(); ?> /wp-content/uploads/2024/04/home-2.jpg')">
                    </div>
                </div>
                <div class="work-slide-box">
                    <div class="our-work-image bg-img" style="background-image:url('<?php echo home_url(); ?> /wp-content/uploads/2024/04/home.jpg')">
                    </div>
                </div>
                <div class="work-slide-box">
                    <div class="our-work-image bg-img" style="background-image:url('<?php echo home_url(); ?> /wp-content/uploads/2024/04/home-2.jpg')">
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Our Work End -->

<!-- Apply Now Start -->
<section class="main-our-apply-now">
    <div class="sec-wp">
        <div class="container">
            <div class="row">
                <div class="col-lg-12">
                    <div class="sec-title">
                        <h3 class="h2-title">Financing</h3>
                    </div>
                    <div class="apply-content-box">
                        <a  href="#" title="Union-Brand-Logo" class="union-brand-logo">
                            <img src="<?php echo home_url(); ?> /wp-content/uploads/2024/04/logo-2.png')" height="84" width="312" alt="union-logo">
                        </a>
                        <div class="apply-text">
                            <p>We are proudly partnered with Green State Credit Union to offer you flexible financing options.</p>
                        </div>
                        <div class="apply-btn">
                            <a href="#" title="Apply Now" class="sec-btn outline-btn">Apply Now!</a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Apply Now End -->

<!-- Testimonial Start  -->
<section class="main-testimonial bg-img" style="background-image:url('<?php echo home_url(); ?>/wp-content/uploads/2024/04/banner.jpg')">
    <div class="sec-wp">
        <div class="container">
            <div class="row">
                <div class="col-lg-6">
                    <div class="sec-title">
                        <h3 class="h2-title">Testimonials</h3>
                    </div>
                </div>
            </div>
            <div class="row">
                <div class="col-lg-5 testimonial-slider">
                    <div class="testimonial-box">
                        <div class="testimonial-details-wp">
                            <div class="testimonial-quotes">
                                <img src="<?php echo home_url(); ?>/wp-content/themes/henrysroofing/assets/images/quotes.svg" width="55" height="38" alt="Quotes">
                            </div>
                            <div class="testimonial-text">
                                <p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. </p>
                                <div class="testimonial-info">
                                    <h5>Hank H <span>| 5/31/2019</span></h5>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="testimonial-box">
                        <div class="testimonial-details-wp">
                            <div class="testimonial-quotes">
                                <img src="<?php echo home_url(); ?>/wp-content/themes/henrysroofing/assets/images/quotes.svg" width="55" height="38" alt="Quotes">
                            </div>
                            <div class="testimonial-text">
                                <p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. </p>
                                <div class="testimonial-info">
                                    <h5>Hank H <span>| 5/31/2019</span></h5>
                                </div>
                            </div>
                        </div>
                    </div>
                    <div class="testimonial-box">
                        <div class="testimonial-details-wp">
                            <div class="testimonial-quotes">
                                <img src="<?php echo home_url(); ?>/wp-content/themes/henrysroofing/assets/images/quotes.svg" width="55" height="38" alt="Quotes">
                            </div>
                            <div class="testimonial-text">
                                <p>Lorem ipsum dolor sit amet, consetetur sadipscing elitr, sed diam nonumy eirmod tempor invidunt ut labore et dolore magna aliquyam erat, sed diam voluptua. At vero eos et accusam et justo duo dolores et ea rebum. </p>
                                <div class="testimonial-info">
                                    <h5>Hank H <span>| 5/31/2019</span></h5>
                                </div>
                            </div>
                        </div>
                    </div>
                </div>
                <div class="col-lg-7">
                    <div class="contact-form-wp">
                        <div class="contact-form">
                            <div class="contact-form-title">
                                <h3 class="h2-title">Contact Us</h3>
                            </div>
                            <?php echo do_shortcode('[contact-form-7 id="d59c451" title="Contact form 1"]'); ?>
                        </div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- Testimonial End  -->






